Bug 5250

Summary: the "*" in list is in the wrong place
Product: frysk Reporter: Andrew Cagney <cagney>
Component: generalAssignee: Stan Cox <scox>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P2    
Version: unspecified   
Target Milestone: ---   
Host: Target:
Build: Last reconfirmed:
Bug Depends on:    
Bug Blocks: 2246, 5292    

Description Andrew Cagney 2007-11-02 15:32:25 UTC
For instance:

$ ./bindir/fhpd ./pkglibdir/hpd-c
Attached to process 9043
(fhpd) go
(fhpd) halt
(fhpd) list
[0.0]
188*       sportscar = porsche;
189
190        int_p = &int_22;
191        class_p = &class_1;
192        class_p->double_1 = assign_double (43.21);
193        class_p->int_1 = assign_int (123456789);
194        class_1.double_1 = assign_double (12.34);
195
196        int_21 = loop_(class_p->double_1,*int_p, int_22, short_21,
197                      int_21, float_21,double_21,x,y);
198        while (int_21)
199          {
200            int_21 = x / int_21;
201          }
202        return int_21;
203      }
204
205      static int
206      func_1 (int x, int y)
207      {
(fhpd) list
[0.0]
188        sportscar = porsche;
189
190        int_p = &int_22;
191        class_p = &class_1;
192        class_p->double_1 = assign_double (43.21);
193        class_p->int_1 = assign_int (123456789);
194        class_1.double_1 = assign_double (12.34);
195
196        int_21 = loop_(class_p->double_1,*int_p, int_22, short_21,
197                      int_21, float_21,double_21,x,y);
198*       while (int_21)
199          {
200            int_21 = x / int_21;
201          }
202        return int_21;
203      }
204
205      static int
206      func_1 (int x, int y)
207      {
(fhpd)

testcase?
Comment 1 Stan Cox 2007-11-13 00:53:36 UTC
ListCommand.java (interpret): Initialize from function PC.
(TestListCommand is in progress pending regex challenges will mark fixed when
committed)

Comment 2 Stan Cox 2007-11-14 14:50:49 UTC
TestListCommand.java committed.